Bug 456527 - Review Request: sil-gentium-basic-fonts - Gentium Basic Font Family
Review Request: sil-gentium-basic-fonts - Gentium Basic Font Family
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
:
: 456799 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 09:07 EDT by Rahul Bhalerao
Modified: 2009-03-16 17:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 02:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Bhalerao 2008-07-24 09:07:58 EDT
Spec URL: http://rbhalera.fedorapeople.org/gentium-basic-fonts/gentium-basic-fonts.spec
SRPM URL: http://rbhalera.fedorapeople.org/gentium-basic-fonts/gentium-basic-fonts-1.1-1.fc10.src.rpm
Description:  Gentium Basic is a font family based on the original Gentium design.
Comment 1 Nicolas Mailhot 2008-07-25 09:01:27 EDT
I'll start the review process now but since I'll be unavailable till september
in a few days someone else will probably have to finish it (or you'll have to
wait or be very reactive)

1. Please make sure you've done all the steps in
http://fedoraproject.org/wiki/Font_package_lifecycle#2.a
and in particular the wiki-related ones
http://fedoraproject.org/wiki/SIL_Gentium_Basic_fonts

2. Gentium Basic is OFL, not GPL

3. Its homepage is http://scripts.sil.org/Gentium_Basic

4. Please make sure to touch the txt files so your recoding does not change
their timestamp each time you rebuild them (look at one of the gfs fonts specs
for example)

5. please use sil-gentium-basic-fonts as package name

6. for fedora versions ≥ 9 you can drop the -f argument to fc-cache

7. You can flesh up your description a bit. You can take inspiration from
Debian's packaging
http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=GentiumBasic_110_diff&filename=ttf-sil-gentium-basic_1.1.diff.gz

8. Since the font is effectively a limited Gentium with more faces, you need to
teach fontconfig to substitute it to Gentium (and the Gentium packager will need
to do it the other way). Look how it's done for dejavu and dejavu lgc, that's
just a little fontconfig file to add
Comment 2 Parag AN(पराग) 2008-07-27 08:05:35 EDT
*** Bug 456799 has been marked as a duplicate of this bug. ***
Comment 3 Rahul Bhalerao 2008-07-28 06:41:00 EDT
(In reply to comment #1)
> I'll start the review process now but since I'll be unavailable till september
> in a few days someone else will probably have to finish it (or you'll have to
> wait or be very reactive)

Thanks.

> 
> 2. Gentium Basic is OFL, not GPL
>

Oops. My fault.
 

>
http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=GentiumBasic_110_diff&filename=ttf-sil-gentium-basic_1.1.diff.gz
> 
> 8. Since the font is effectively a limited Gentium with more faces, you need to
> teach fontconfig to substitute it to Gentium (and the Gentium packager will need
> to do it the other way). Look how it's done for dejavu and dejavu lgc, that's
> just a little fontconfig file to add

I am little unsure about what to substitute for faces. The families are
generically serif for all the fonts in this package.
Comment 4 Rahul Bhalerao 2008-07-28 06:45:51 EDT
Nicolas,
The archive name in the %setup section has to be written with '\' to escape the
spaces on F-8 machines but does not work on F-9. 
 %setup -q -n "Gentium\ Basic\ 1.1"

Could you please confirm which is the correct way?
Comment 5 Jens Petersen 2008-10-03 03:51:20 EDT
Suggest to target rawhide and F-9 initially - can worry about F8 later.
(Not sure why there would be a difference for that between f8 and f9 though.)
Comment 6 Jens Petersen 2008-10-03 03:52:08 EDT
Better would be to suggest to upstream not to use spaces in the top directory name.
Comment 7 Nicolas Mailhot 2008-10-12 11:55:53 EDT
(In reply to comment #3)

> I am little unsure about what to substitute for faces. The families are
> generically serif for all the fonts in this package.

You basically need to tell fontconfig in the Gentium package "if something asks for Gentium Basic, use Gentium if it's not available" and the reverse in the other package. Plus tell fontconfig it's a serif package.

Like I wrote that's the same magic we do for dejavu full and dejavu lgc, just look at their fontconfig files and copy the  dejavu full to dejavu lgc rules (replacing with gentium and gentium basic)

Don't bother about F-8, it's better to have a good devel package and worry afterwards of previous distros. At this rate F-8 will be EOL-ed before you have any package in the distro :(
Comment 8 Nicolas Mailhot 2008-10-26 14:42:49 EDT
also please rename the package sil-gentium-basic-fonts
Comment 9 Nicolas Mailhot 2008-11-17 04:52:52 EST
Ping?
Comment 10 Rahul Bhalerao 2008-12-10 05:18:43 EST
Hi, Sorry for the delay. Here are the updated spec and source rpms.

Spec URL:
http://rbhalera.fedorapeople.org/sil-gentium-basic-fonts/sil-gentium-basic-fonts.spec
SRPM URL:
http://rbhalera.fedorapeople.org/sil-gentium-basic-fonts/sil-gentium-basic-fonts-1.1-3.fc11.src.rpm
Comment 11 Nicolas Mailhot 2008-12-10 16:32:53 EST
Hi Rahul,

At this point, since FPC approved the new packaging templates yesterday, and FESCO will review them next week, it's probably more productive if you target the new templates directly (that will probably also make my next request easier). Otherwise you'll just spend time on the old template and I'll ask you to change it all next week.

So just install the fontpackages* rpm from
http://nim.fedorapeople.org/fontpackages/ check
/etc/rpmdevtools/spectemplate-fonts-multi.spec

and use it as a template to make an rpm with two subpackages (one for gentium basic and one for gentium book basic)

Then you can look at
/usr/share/doc/fontpackages-devel-1.11/fontconfig-templates/substitution-font-template.conf

for the substitution rules (but your current rules do not seem too bad) However, your xml is broken. Please always check your xml files with xmllint --format before submission.
Comment 12 Jens Petersen 2008-12-11 20:05:36 EST
(In reply to comment #11)
> However, your xml is broken. Please always check your xml files with xmllint
> --format before submission.

Would it make sense to run xmllint in all fonts packages %build or %install to check for errors?
Comment 13 Nicolas Mailhot 2008-12-12 00:54:36 EST
(In reply to comment #12)
> (In reply to comment #11)
> > However, your xml is broken. Please always check your xml files with xmllint
> > --format before submission.
> 
> Would it make sense to run xmllint in all fonts packages %build or %install to
> check for errors?

IMHO this would needlessly complexify font specs just at the time we've finally made them simple.

Since fontconfig config files are not supposed to change that often, this check belongs more in rpmlint or the package auto reviewer IMHO

(check being: check that all files installed in the fontconfig dir as defined by fontpackages-filesystem validate against the current fontconfig DTD)
Comment 14 Nicolas Mailhot 2008-12-21 16:43:44 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 15 Rahul Bhalerao 2009-01-15 07:37:00 EST
Here are the updates according to new font packaging guidelines:
SPEC URL:
http://rbhalera.fedorapeople.org/sil-gentium-fonts/sil-gentium-fonts.spec
SRPM URL:
 http://rbhalera.fedorapeople.org/sil-gentium-fonts/sil-gentium-fonts-1.1-1.fc11.src.rpm
Comment 16 Nicolas Mailhot 2009-01-18 15:42:18 EST
You still need to take care of
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29#What_font_packaging_changes_are_needed_with_post-1.13_fontpackages_.3F

Since FPC unexpectedly decided to change our package naming rules.

Apart that is looks nice so I'm going to approve it now and let you take care of the naming before the Fedora import.

You can now continue starting from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
⇒ re-assigning

Thank you for packaging a new font in Fedora

✻✻✻ APPROVED ✻✻✻
Comment 18 Rahul Bhalerao 2009-01-28 07:23:59 EST
New Package CVS Request
=======================
Package Name: sil-gentium-fonts
Short Description:  Gentium Basic Font Family from SIL
Owners: rbhalera
Branches: devel
InitialCC: fonts-sig
Comment 19 Nicolas Mailhot 2009-01-28 16:48:57 EST
oops; probably want to have the srpm named sil-gentium-basic-fonts since we already have a gentium-fonts package that will eventually be renamed  sil-gentium-fonts

(missed this, sorry, too much stuff to review and too little time)
Comment 20 Roozbeh Pournader 2009-01-29 02:30:57 EST
Please rename the package to sil-gentium-basic-fonts. We already have Gentium, which will be renamed to sil-gentium-fonts. Updating the CVS request:

New Package CVS Request
=======================
Package Name: sil-gentium-basic-fonts
Short Description:  Gentium Basic Font Family from SIL
Owners: rbhalera
Branches: devel
InitialCC: fonts-sig
Comment 21 Rahul Bhalerao 2009-01-29 23:59:33 EST
I used the general name because there are families named 'basic' and 'book-basic' within this package. So changing the name in the suggested way would make the subpackages' name 'sil-gentium-basic-basic-fonts' and 'sil-gentium-basic-book-basic-fonts'. If that is fine, I would change the name as per the suggestion in Comment 19 and 20.
Comment 22 Nicolas Mailhot 2009-01-30 01:39:48 EST
If you look at rawhide you'll see it's perfectly possible to have one of the font subpackages named like the srpm (and in fact this is what the main gentium package is going to do)

srpm: sil-gentium-basic-fonts
rpm: sil-gentium-basic-fonts
     sil-gentium-basic-fonts-common
     sil-gentium-basic-book-fonts
     (or sil-gentium-book-basic-fonts if you insist, would make it harder for reporters to find the right bugzilla component associated to the package))
Comment 23 Nicolas Mailhot 2009-01-30 03:32:38 EST
(In reply to comment #22)

>      (or sil-gentium-book-basic-fonts if you insist, 

This one won't work, use the other
Comment 24 Rahul Bhalerao 2009-01-30 06:39:58 EST
Ok. I have changed the naming. The new spec and srpm are at:
http://rbhalera.fedorapeople.org/temp/sil-gentium-basic-fonts/sil-gentium-basic-fonts.spec

http://rbhalera.fedorapeople.org/temp/sil-gentium-basic-fonts/sil-gentium-basic-fonts-1.1-3.fc11.src.rpm

Not sure if it needs reapproval?
Comment 25 Nicolas Mailhot 2009-02-02 03:53:44 EST
I'll look at it later but in the meanwhile no, I didn't revoque my approval
Comment 26 Nicolas Mailhot 2009-02-02 18:42:30 EST
1. you have a typo in you -common description

2. \ after %common_desc in book description is probably unnecessary

Otherwise this looks like a very fine package
Comment 27 Kevin Fenzi 2009-02-02 23:24:03 EST
cvs done.
Comment 28 Felix Schwarz 2009-03-16 17:46:34 EDT
Probably you should also update the wiki page as this font has at least a pkgdb page now: https://fedoraproject.org/wiki/SIL_Gentium_Basic_fonts

Note You need to log in before you can comment on or make changes to this bug.